#
# spec file for package ungifsicle (Version 1.39)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ungifsicle
%if 0%{?suse_version}
BuildRequires:  xorg-x11 xorg-x11-devel
%else
BuildRequires:	libX11 libX11-devel 
%endif

License:        GPL v2 or later
Group:          Productivity/Graphics/Other
AutoReqProv:    on
Version:        1.39
Release:        320.1
Url:            http://www.lcdf.org/gifsicle/
Source0:        http://www.lcdf.org/gifsicle/ungifsicle-1.39.tar.bz2
Patch0:         bugzilla-395358-64bit-va-list-null.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Creating and editing, GIF images and animations

%description
Gifsicle twaddles GIF image files in a variety of ways. It is better
than many of the freely available GIF twaddlers on the market -- for
one thing, it has more options.

It supports merging several GIFs into a GIF animation; exploding an
animation into its component frames; changing individual frames in an
animation; turning interlacing on and off; adding transparency; adding
delays, disposals, and looping to animations; adding or removing
comments; flipping and rotation; optimizing animations for space; and
changing images' colormaps, among other things. Extensive command-line
options control which, if any, of these occur.

Gifview, a companion program requiring X11, displays GIF images and
animations on an X display. It can display multi-frame GIFs either as
slideshows, displaying one frame at a time, or as real-time animations.

Gifdiff, another companion program, checks two GIF files for identical
visual appearance. This is probably most useful for testing
GIF-manipulating software.



Authors:
--------
    Eddie Kohler <eddietwo@lcs.mit.edu>

%prep
%setup0
%patch0 -p1

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f zlib}}
libtoolize  --force
aclocal # -I m4
autoheader
automake -a 
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
%configure --enable-ungif 
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean

%files
%defattr(-, root, root)
%doc INSTALL* NEWS* README*
%{_prefix}/bin/*
%{_mandir}/man1/*

%changelog
* Thu May 29 2008 mfabian@suse.de
- bnc#395358:
  • fix NULL pointer termination in function calls with variable
    arguments.
  • fix changelog tag in .spec file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 24 2003 mfabian@suse.de
- update to 1.39
* Sun Feb 16 2003 mfabian@suse.de
- update to 1.37
  According to the NEWS file:
  * Fix bug where combining `--rotate-X' and `-O' options would
    cause a segmentation fault.
  * Fix subscript-out-of-range error in main.c
  * Fixed bug where `--crop' could cause a segmentation fault,
    present since 1.32 or 1.33.
  * Fixed bug where combining `--crop' and `-O' options could
    corrupt output.
* Sun Aug 11 2002 mfabian@suse.de
- update to version 1.33.
  According to the NEWS file:
  * Be more careful about time while animating. In particular,
    prepare frames before they are needed, so that they can be
    displayed exactly when required.
  * Add `--multifile' option handling concatenated GIF files.
    This is useful for scripts. For example,
    `gifsicle --multifile -' will merge all GIF files written
    to its standard input into a single animation.
  * Changed behavior of `--crop X,Y+WIDTHxHEIGHT' option when
    WIDTH or HEIGHT is negative. Previously, zero or negative
    WIDTH and HEIGHT referred to the image's entire width or height.
    Thus, the option `--crop 10,0+0x0' would always lead to an error,
    because the crop left position (10) plus the crop width (the
    image width) was 10 pixels beyond the image edge. The new
    behavior measures zero or negative WIDTH and HEIGHT relative
    to the image's bottom-right corner.
  * Changed background behavior. Hopefully the only user-visible
    effect will be fewer spurious warnings.
  * Fixed a bug that could corrupt output when optimizing images
    with `-O2' that had more than 256 colors.
* Fri Nov 30 2001 mfabian@suse.de
- new package: ungifsicle, version 1.30
